Subject: Re: [PATCH] tests: turn on network daemon tests by default

From: Junio C Hamano <[email-masked]>
Date: Fri, 14 Feb 2014 08:13:24 -0800

Jeff King <[email-masked]> writes:

>>  - We may want to do something similar in cvsserver and git-gui to
>>    make them more robust.
>> 
>>    $ git grep -e true --and -e 1 --and -e yes
>
> I assume the "something" here is to respect bool options more
> consistently?

Yeah, mostly by employing your 'git -c magic.var=X config --bool'
trick and check only for 'false' and 'true', instead of keeping a
hard-coded logic like the lines that hit the above query do.

> I have no problem with that, but nor do I care too much
> about those programs (that is partially laziness, but also partially
> that I do not want to deal with introducing a regression).

True, too ;-)

>>  - Do we want to do something similar to GIT_TEST_CREDENTIAL_HELPER?
>
> No, it is not a boolean. It is a bit of a hack, but it is meant to be
> used like:
>
>   GIT_TEST_CREDENTIAL_HELPER=foo ./t0303-*
>
> to test some random git-credential-foo you have in your PATH. There is
> nothing to run "by default" there.

Ah, OK.  I was only grepping for "test -z .*GIT_TEST_".
>> tri-state is "auto" (or empty), but report an error when it is
>
> You probably want to drop this "or empty" or change it to "or unset",

Thanks, I totally missed that.